# Configuration file for XBPS.
#
# - Lines starting with # are ignored.
# - Values are set after the equal sign, and don't accept blanks nor newlines.

# Set root directory, by default set to /. This expects an absolute path.
#rootdir=/

# Set cache directory, if starts with / it's an absolute path,
# otherwise it's relative to rootdir.
cachedir=/host/repocache

# comment it out to disable syslog logging.
#syslog=true

## REPOSITORIES
#
# Local or remote repositories are accepted.
#
#  - Local repositories expect an absolute path to the directory that stores
#    the <arch>-repodata file.
#  - Accepted protocols for remote repositories: ftp, http or https.
#  - Repositories are added in the order in which are specified (top->bottom).
#
#repository=http://repo.voidlinux.eu/current

# Uncomment this one for "non-free" packages.
#repository=http://repo.voidlinux.eu/current/nonfree

# REPOSITORY MIRRORS
#repository=http://repo2.voidlinux.eu/current
#repository=http://repo2.voidlinux.eu/current/nonfree
#
#repository=http://xbps.nopcode.org/repos/current
#repository=http://xbps.nopcode.org/repos/current/nonfree

## VIRTUAL PACKAGES
#
# Virtual package overrides. You can set your own list of preferred virtual
# packages in your system. This expects two arguments separated by a colon:
#  <vpkgver>:<realpkgname>.
#
# - <vpkgver> means "virtual package name" and "version/revision"
#   separated by a dash, i.e 'foo-1.0_1".
# - <realpkgname> means a real package name (without any version).
#
# By default we prefer the `dcron` package as default cron daemon.
#virtualpkg=cron-daemon-0_1:dcron

# Sets the virtual package directory looking for .vpkg files with
# virtual package settings (by using the `virtualpkg' keyword).
#
# If starts with / it's an absolute path, otherwise it's relative to rootdir.
# By default it's set to <rootdir>/etc/xbps/virtualpkg.d.
#virtualpkgdir=etc/xbps/virtualpkg.d

# You can also include additional files by using the "include" keyword.
# This expects an absolute path to a file.
#include=/path/to/another/file.conf
#
# Alternative repos
include=/etc/xbps/repos/alternative.conf

# Local repos
include=/etc/xbps/repos/local.conf

# Remote repos
include=/etc/xbps/repos/remote.conf
